/*
 * arch/ppc/platforms/ds1672_rtc.h
 *
 */

#ifdef __KERNEL__
#ifndef __DS1672_RTC_H__
#define __DS1672_RTC_H__

#define I2C_CONTROLLER0_BASE        0x140000400LL
#define I2C_CONTROLLER1_BASE        0x140000500LL

/* define I2C controller registers */
#define I2C_CONTROLLER_MASTER_DBUF      0x0
#define I2C_CONTROLLER_SLAVE_DBUF       0x2
#define I2C_CONTROLLER_LO_MASTER_ADDR   0x4
#define I2C_CONTROLLER_HI_MASTER_ADDR   0x5
#define I2C_CONTROLLER_CONTROL          0x6
#define I2C_CONTROLLER_MODE_CONTROL     0x7
#define I2C_CONTROLLER_STATUS           0x8
#define I2C_CONTROLLER_EXT_STATUS       0x9
#define I2C_CONTROLLER_LO_SLAVE_ADDR    0xA
#define I2C_CONTROLLER_HI_SLAVE_ADDR    0xB
#define I2C_CONTROLLER_CLOCK_DIV        0xC
#define I2C_CONTROLLER_INT_MASK         0xD
#define I2C_CONTROLLER_TRANSFER_COUNT   0xE
#define I2C_CONTROLLER_EXT_CONTROL      0xF
#define I2C_CONTROLLER_DIRECT_CONTROL   0x10

#define MAX_I2C_WAIT              0xffff

#define READACCESS              1
#define WRITEACCESS             0

/* local define */
#define RTC_I2C_CONTROLLER      0
#define RTC_I2C_ADDR            0x68

#define RTC_CONTROL_REG_OFFSET      0x4
#define RTC_COUNT_REG_OFFSET        0x0
#define RTC_CONTROL_EOSC_MASK       0x80


/* forward declarations */
unsigned long ds1672_get_rtc_time(void);
int ds1672_set_rtc_time(unsigned long);
long ds1672_time_init(void);


#endif				/* __DS1672_RTC_H__ */
#endif				/* __KERNEL__ */
