/***************************************************************************
*
*   Module:             
*
*   Filename:           fruerror.h
*
*   Author:             Brian Tran
*
*   Created:            04/30/2005
*
*   Description:
*  
*   Routines to support ECC checking and reporting
*
****************************************************************************
*                 Source Control System Information
*
*    $Id: ecc.h,v 1.1 2005/05/02 01:11:25 brian Exp $
*
****************************************************************************
*                       Modification History
*
*    $Log: ecc.h,v $
*    Revision 1.1  2005/05/02 01:11:25  brian
*    Bugzilla number:
*    Add functions to report ECC errors
*
*
***************************************************************************
*                       (c) COPYRIGHT 2000, 2001, 2002
*                           TopSpin Communications, Inc.
*                           Palo Alto, CA
**************************************************************************/
#ifdef RCSID
static const char rcsid[] = "$Id: ecc.h,v 1.1 2005/05/02 01:11:25 brian Exp $";
#endif

#ifndef _ECC_H
#define _ECC_H


#define ECC_CE_INT_NUM      36
#define SDRAM0_CFGADDR      0x010
#define SDRAM0_CFGDATA      0x011

/* SDRAM controller register offset. These are indirect DCR registers */
#define SDRAM0_ECCESR   0x98
#define SDRAM0_BESR0    0x0
#define SDRAM0_BESR1    0x8
#define SDRAM0_BEAR     0x10

int ecc_init(void);
void ecc_cleanup(void);
unsigned int ecc_poll(struct file *file, poll_table *wait);
ssize_t ecc_read(struct file *file, char *buf, size_t count, loff_t *offset);   

#endif _ECC_H

