/* m4/uic.inc, openbios_ebony, ebony_bios 7/9/00 14:37:56 
!------------------------------------------------------------------------------+
!
!       This source code has been made available to you by IBM on an AS-IS
!       basis.  Anyone receiving this source is licensed under IBM
!       copyrights to use it in any way he or she deems fit, including
!       copying it, modifying it, compiling it, and redistributing it either
!       with or without modifications.  No license under IBM patents or
!       patent applications is to be implied by the copyright license.
!
!       Any user of this software should understand that IBM cannot provide
!       technical support for this software and will not be responsible for
!       any consequences resulting from the use of this software.
!
!       Any person who transfers this source code or any derivative work
!       must include the IBM copyright notice, this paragraph, and the
!       preceding two paragraphs in the transferred software.
!
!       COPYRIGHT   I B M   CORPORATION 1995
!       LICENSED MATERIAL  -  PROGRAM PROPERTY OF I B M
!-------------------------------------------------------------------------------
!-------------------------------------------------------------------------------
!
!  File Name:   uic.inc
!
!  Function:    Defines for UIC registers used in assembly language.
!
!  Author:      Neil Leeder
!
!  Change Activity-
!
!  Date        Description of Change                                       BY
!  ---------   ---------------------                                       ---
!  12-Apr-99   Created							   NL
!  05-May-00   New names                                                   NL
!  13-Sep-00   Port to 440GP                                               DWG
!
!-------------------------------------------------------------------------------
*/

#ifndef __UIC_INC__
#define __UIC_INC__

#ifdef __cplusplus
extern "C" {
#endif

#define UIC0_SR        (UIC0_DCR_BASE+0x0)  /* UIC status                      */
#define UIC0_SRS       (UIC0_DCR_BASE+0x1)  /* UIC status set                  */
#define UIC0_ER        (UIC0_DCR_BASE+0x2)  /* UIC enable                      */
#define UIC0_CR        (UIC0_DCR_BASE+0x3)  /* UIC critical                    */
#define UIC0_PR        (UIC0_DCR_BASE+0x4)  /* UIC polarity                    */
#define UIC0_TR        (UIC0_DCR_BASE+0x5)  /* UIC triggering                  */
#define UIC0_MSR       (UIC0_DCR_BASE+0x6)  /* UIC masked status               */
#define UIC0_VR        (UIC0_DCR_BASE+0x7)  /* UIC vector                      */
#define UIC0_VCR       (UIC0_DCR_BASE+0x8)  /* UIC vector configuration        */

#define UIC1_SR        (UIC1_DCR_BASE+0x0)  /* UIC status                      */
#define UIC1_SRS       (UIC1_DCR_BASE+0x1)  /* UIC status set                  */
#define UIC1_ER        (UIC1_DCR_BASE+0x2)  /* UIC enable                      */
#define UIC1_CR        (UIC1_DCR_BASE+0x3)  /* UIC critical                    */
#define UIC1_PR        (UIC1_DCR_BASE+0x4)  /* UIC polarity                    */
#define UIC1_TR        (UIC1_DCR_BASE+0x5)  /* UIC triggering                  */
#define UIC1_MSR       (UIC1_DCR_BASE+0x6)  /* UIC masked status               */
#define UIC1_VR        (UIC1_DCR_BASE+0x7)  /* UIC vector                      */
#define UIC1_VCR       (UIC1_DCR_BASE+0x8)  /* UIC vector configuration        */

/*-----------------------------------------------------------------------------+
|  Universal interrupt controller interrupts
+-----------------------------------------------------------------------------*/
#define UIC0_U0              0x80000000      /* UART 0                    */
#define UIC0_U1              0x40000000      /* UART 1                    */
#define UIC0_IIC0            0x20000000      /* IIC 0                     */
#define UIC0_IIC1            0x10000000      /* IIC 1                     */
#define UIC0_PIM             0x08000000      /*                           */
#define UIC0_PEM             0x04000000      /*                           */
#define UIC0_PPM             0x02000000      /*                           */
#define UIC0_PI0             0x01000000      /*                           */
#define UIC0_PI1             0x00800000      /*                           */
#define UIC0_PI2             0x00400000      /*                           */
#define UIC0_MTE             0x00200000      /*                           */
#define UIC0_MRE             0x00100000      /*                           */
#define UIC0_D0              0x00080000      /*                           */
#define UIC0_D1              0x00040000      /*                           */
#define UIC0_D2              0x00020000      /*                           */
#define UIC0_D3              0x00010000      /*                           */
#define UIC0_CT0             0x00002000      /*                           */
#define UIC0_CT1             0x00001000      /*                           */
#define UIC0_CT2             0x00000800      /*                           */
#define UIC0_CT3             0x00000400      /*                           */
#define UIC0_CT4             0x00000200      /*                           */
#define UIC0_EIR0            0x00000100      /*                           */
#define UIC0_EIR1            0x00000080      /*                           */
#define UIC0_EIR2            0x00000040      /*                           */
#define UIC0_EIR3            0x00000020      /*                           */
#define UIC0_EIR4            0x00000010      /*                           */
#define UIC0_EIR5            0x00000008      /*                           */
#define UIC0_EIR6            0x00000004      /*                           */
#define UIC0_UIC1NC          0x00000002      /*                           */
#define UIC0_UIC1C           0x00000001      /*                           */

#define UIC1_MS              0x80000000      /*                           */
#define UIC1_MTDE            0x40000000      /*                           */
#define UIC1_MRDE            0x20000000      /*                           */
#define UIC1_DEUE            0x10000000      /*                           */
#define UIC1_DECE            0x08000000      /*                           */
#define UIC1_EBC0            0x04000000      /*                           */
#define UIC1_EBMI            0x02000000      /*                           */
#define UIC1_OPB             0x01000000      /*                           */
#define UIC1_MSI3            0x00800000      /*                           */
#define UIC1_MSI4            0x00400000      /*                           */ 
#define UIC1_MSI5            0x00200000      /*                           */ 
#define UIC1_MSI6            0x00100000      /*                           */ 
#define UIC1_MSI7            0x00080000      /*                           */ 
#define UIC1_MSI8            0x00040000      /*                           */ 
#define UIC1_MSI9            0x00020000      /*                           */ 
#define UIC1_MSI10           0x00010000      /*                           */ 
#define UIC1_MSI11           0x00008000      /*                           */ 
#define UIC1_PPM             0x00004000      /*                           */ 
#define UIC1_EIR7            0x00002000      /*                           */
#define UIC1_EIR8            0x00001000      /*                           */
#define UIC1_EIR9            0x00000800      /*                           */
#define UIC1_EIR10           0x00000400      /*                           */
#define UIC1_EIR11           0x00000200      /*                           */
#define UIC1_EIR12           0x00000100      /*                           */
#define UIC1_SRE             0x00000080      /*                           */
#define UIC1_PAE             0x00000010      /*                           */
#define UIC1_ETH0            0x00000008      /*                           */
#define UIC1_EWU0            0x00000004      /*                           */
#define UIC1_ETH1            0x00000002      /*                           */
#define UIC1_EWU1            0x00000001      /*                           */

#ifdef __cplusplus
}
#endif

#endif /* __UIC_INC__ */
