/* m4/zmii.inc, openbios_ebony, ebony_bios 7/9/00 14:37:48 
!------------------------------------------------------------------------------+
!
!       This source code has been made available to you by IBM on an AS-IS
!       basis.  Anyone receiving this source is licensed under IBM
!       copyrights to use it in any way he or she deems fit, including
!       copying it, modifying it, compiling it, and redistributing it either
!       with or without modifications.  No license under IBM patents or
!       patent applications is to be implied by the copyright license.
!
!       Any user of this software should understand that IBM cannot provide
!       technical support for this software and will not be responsible for
!       any consequences resulting from the use of this software.
!
!       Any person who transfers this source code or any derivative work
!       must include the IBM copyright notice, this paragraph, and the
!       preceding two paragraphs in the transferred software.
!
!       COPYRIGHT   I B M   CORPORATION 1995
!       LICENSED MATERIAL  -  PROGRAM PROPERTY OF I B M
!-------------------------------------------------------------------------------
!-------------------------------------------------------------------------------
!
!  File Name:   zmii.inc 
!
!  Function:    Defines for ZMII/PHY interface.
!
!  Author:      Daniel Goehring
!
!  Change Activity-
!
!  Date        Description of Change                                       BY
!  ---------   ---------------------                                       ---
!  13-Sep-00   Created                                                     DWG
!
!-------------------------------------------------------------------------------
*/

#ifndef __ZMII_INC__
#define __ZMII_INC__

#ifdef __cplusplus
extern "C" {
#endif

/*****************************************************************************
*  ZMII DEFINES
******************************************************************************/
#define ZMII0_FER      (ZMII0_BASE + 0x00)
#define ZMII0_SSR      (ZMII0_BASE + 0x04)
#define ZMII0_SMIISR   (ZMII0_BASE + 0x08) 

#define ZMII_FER_MDI0  0x80000000
#define ZMII_FER_SMII0 0x40000000
#define ZMII_FER_RMII0 0x20000000
#define ZMII_FER_MII0  0x10000000
#define ZMII_FER_MDI1  0x08000000
#define ZMII_FER_SMII1 0x04000000
#define ZMII_FER_RMII1 0x02000000
#define ZMII_FER_MII1  0x01000000

#define ZMII_SSR_SCI0  0x40000000
#define ZMII_SSR_FSS0  0x20000000
#define ZMII_SSR_SP0   0x10000000
#define ZMII_SSR_SCI1  0x04000000
#define ZMII_SSR_FSS1  0x02000000
#define ZMII_SSR_SP1   0x01000000

#ifdef __cplusplus
}
#endif

#endif /* __ZMII_INC__ */
